summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Haller <thaller@redhat.com>2017-02-16 10:55:55 +0100
committerThomas Haller <thaller@redhat.com>2017-02-16 11:04:00 +0100
commitb04868cb520cbf91d1d77cd282cef9b2fc9fe5ff (patch)
tree276790af6e116661db36e82547daab475bf707b1
parentbc6a383dd74ac14682c49c0dac47bdecbfa868ff (diff)
downloadNetworkManager-b04868cb520cbf91d1d77cd282cef9b2fc9fe5ff.tar.gz
contrit/rpm: print the used "$SOURCE" tarball in the summary output of build.sh
-rwxr-xr-xcontrib/fedora/rpm/build.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/contrib/fedora/rpm/build.sh b/contrib/fedora/rpm/build.sh
index 35336bad15..9095db54f2 100755
--- a/contrib/fedora/rpm/build.sh
+++ b/contrib/fedora/rpm/build.sh
@@ -193,8 +193,18 @@ LOG
LOG "See \"$TEMP_LATEST/\" which symlinks to \"$TEMPBASE\""
LOG
LOG "Result:"
-ls -dla "$TEMP_LATEST" "$(dirname "$TEMP_LATEST")/$TEMPBASE/" "$TEMP_LATEST"/RPMS/*/ "$TEMP_LATEST"/RPMS/*/*.rpm "$TEMP_LATEST"/SRPMS/ "$TEMP_LATEST"/SRPMS/*.rpm 2>/dev/null | sed 's/^/ /'
-LOG
-LOG "sudo $(which dnf &>/dev/null && echo dnf || echo yum) install '$TEMP_LATEST/RPMS'/*/*.rpm"
+ls -dla \
+ "$TEMP_LATEST" \
+ "$SOURCE" \
+ "$(dirname "$TEMP_LATEST")/$TEMPBASE/" \
+ "$TEMP_LATEST"/RPMS/*/ \
+ "$TEMP_LATEST"/RPMS/*/*.rpm \
+ "$TEMP_LATEST"/SRPMS/ \
+ "$TEMP_LATEST"/SRPMS/*.rpm \
+ 2>/dev/null | sed 's/^/ /'
LOG
+if [[ "$BUILDTYPE" != "SRPM" ]]; then
+ LOG "sudo $(which dnf &>/dev/null && echo dnf || echo yum) install '$TEMP_LATEST/RPMS'/*/*.rpm"
+ LOG
+fi